<div class="mt-0">
    <div class="title mb-2">
        <h3>
          {{'humanresources.promotion' | translate}}
          <div class="spinner-border" role="status" *ngIf="loading">
              <span class="visually-hidden">{{ 'shared.loading' | translate }}</span>
          </div>
        </h3>
    </div>
    <div class="mb-3">
        <div class="d-flex justify-content-end">
            <div class="d-flex align-items-center me-2">
                <span class="me-2" aria-readonly="true">{{'humanresources.filter' | translate}}</span>
                <select class="form-select me-3" aria-label="Дате" (change)="filterDate($event)">
                    <option value="" selected>{{'humanresources.date' | translate}}</option>
                    <option value="today">На сегодня</option>
                    <option value="week">За неделю</option>
                    <option value="month">За месяц</option>
                    <option value="year">За год</option>
                </select>
                <button *ngIf="authService.isHumanResource" (click)="newCandidate(create)" class="btn btn-outline-dark d-flex">
                    <i class="bi bi-plus-lg me-2"></i>{{'humanresources.add' | translate}}</button>
            </div>
        </div>
    </div>
    <div class="border rounded" *ngIf="candidatesList?.items.length !== 0">
        <table class="table table-striped">
            <thead>
                <tr class="text-center">
                    <th scope="col">№</th>
                    <th scope="col">{{'humanresources.fullname' | translate}}<a (click)="sortAz('login')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.position' | translate}}<a (click)="sortAz('position')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.prize' | translate}} <a (click)="sortAz('prize')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.sum' | translate}}<a (click)="sortAz('sum')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.tableDate' | translate}}<a (click)="sortAz('dateOfApplication')"><i class="bi bi-sort-alpha-down"></i></a></th>
                </tr>
            </thead>

            <tbody>
                <tr class="text-center" *ngFor="let item of candidatesList?.items" (click)="onDetail(item.applicationId.id)">
                    <td>{{item.number}}</td>
                    <td>{{getFullName(item?.userId)}}</td>
                    <td>{{item?.sum}}</td>
                    <td>{{item?.name}}</td>
                    <td>{{item?.sum}}</td>
                    <td>{{item?.applicationId.dateOfApplication | date: 'dd.MM.yyyy'}}</td>
                </tr>
            </tbody>
        </table>
        <ngb-pagination [collectionSize]="candidatesList?.count" (pageChange)="setPage($event)"></ngb-pagination>
    </div>
</div>
<app-empty-list *ngIf="candidatesList?.items.length === 0"></app-empty-list>

<ng-template let-modal #create>
    <div>
        <div class="modal-header">
            <h4 class="modal-title">{{'state.direct' | translate}}</h4>
            <button type="button" class="btn-close" (click)="close()"></button>
        </div>
        <div class="modal-body">
            <form [formGroup]="formCreator" >
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.individual' | translate}}</label>
                    <select class="form-select" formControlName="userLogin">
                        <option [value]="user?.iin" *ngFor="let user of employees?.items">{{getFullName(user)}}</option>
                    </select>
                    <!-- <input id="typeahead-basic" type="text" class="form-control" [ngbTypeahead]="search" /> -->
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.type' | translate}}</label>
                    <select class="form-select" formControlName="type">
                        <option value="Поощрения">{{'humanresources.rise' | translate}}</option>
                        <option value="Штраф">{{'humanresources.fine' | translate}}</option>
                    </select>
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.name' | translate}}</label>
                    <input type="text" class="form-control" formControlName="name" placeholder="{{'humanresources.nameHolder' | translate}}">
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.sum' | translate}}</label>
                    <input type="number" class="form-control" formControlName="sum" placeholder="{{'humanresources.sumHolder' | translate}}">
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.order' | translate}}</label>
                    <input type="file" class="form-control" (change)="fileChange($event)">
                </div>
                <div class="row mx-auto">
                     <button class="btn btn-primary" (click)="submit()">{{'humanresources.design' | translate}}</button>
                </div>
            </form>

        </div>
    </div>
</ng-template>
